Logiciels associés

Voici comment obtenir les paquetages logiciels mentionnés dans ce document.

Le serveur web Apache

Toutes les versions de Greenstone, à l'exception de la version bibliothèque locale pour Windows, requièrent un serveur web externe. De nombreuses installations, et en particulier les plus volumineuses, disposeront déjà d'un serveur web. Si vous utilisez Linux, Apache se trouve peut-être sur votre cédérom sans avoir été sélectionné lors de la procédure d'installation. Le serveur web Apache, disponible à l'URL www.apache.org , est libre et facile à installer.

Perl

Pour construire des collections avec Greenstone il faut disposer du langage Perl, version 5 ou ultérieure. Dans le cas des systèmes Windows, nous recommandons ActivePerl, disponible surwww.activestate.com. La plupart des systèmes Unix disposeront déjà d'une installation de Perl mais dans le cas contraire, vous en trouverez le code source ainsi que des binaires pour de nombreuses plates-formes Unix, le tout librement téléchargeable, à l'URL www.perl.com .

GCC

La version Unix de Greenstone se compile avec le compilateur C++ de GNU, GCC. Greenstone utilise intensivement la bibliothèque standard de patrons pour C++, STL (nous avons remarqué qu'elle était cassée sur d'anciennes versions GCC; veuillez nous signaler tout problème relatif à STL que vous rencontreriez). Prenez note du fait que cette version de Greenstone ne compilera pas avec la version 3.0 de GCC.

GDBM

Toutes les versions de Greenstone utilisent GDBM, le gestionnaire de bases de données de GNU. Il est fourni avec toutes les versions Windows de Greenstone et installé automatiquement pendant la procédure d'installation. Les systèmes Linux en disposant déjà, nous ne le fournissons pas pour ces derniers. La plupart des autres systèmes Unix en disposent, mais si nécessaire vous pourrez le télécharger depuis l'URL www.gnu.org .

Environnement Java Runtime

Pour utiliser "Greenstone Librarian Interface" (l'Interface Bibliothécaire de Greenstone), il est nécessaire de disposer d'une version appropriée de Java Runtine Environment. Si on n'en dispose pas, une version appropriée est incluse dans le CD-ROM; le cas échéant, le téléchargement de la dernière version est possible à partir de http://java.sun.com/j2se/downloads.html. La version 1.4.0 ou supérieure est requise.

Compilateur Java

Pour compiler le code source de l'Interface du Bibliothécaire Greenstone, vous devez d'abord installer un Java Development Toolkit. Vous pouvez télécharger J2SE (Software Development Kit) de l'URL http://java.sun.com/j2se/downloads.html. La version 1.4.0 or supérieur est nécessaire.